import { Component, OnInit } from '@angular/core';
import { environment } from '../../../../environments/environment';
import { ButtonType } from '../../../shared/components/button/buttonType.enum';
import { AdminPanelEnum } from '../../../shared/enum/adminPanel.enum';
import { PanelRouteService } from '../../services/panel-route.service';

@Component({
  selector: 'app-admin-panel',
  templateUrl: './panel.component.html',
  providers: [PanelRouteService],
})
export class PanelComponent implements OnInit {
  public features = AdminPanelEnum;
  public ghostLink = environment.ghostAdmin;
  public selectedFeature;
  public buttonTypeEnum = ButtonType;

  constructor(private panelRouteService: PanelRouteService) {
    this.panelRouteService.destinationChanged$.subscribe((selected: AdminPanelEnum) => {
      this.selectedFeature = selected;
    });
  }

  ngOnInit(): void {
    this.selectedFeature = this.features.pendingStructures;
  }

  public changeActiveFeature(newFeature: AdminPanelEnum): void {
    this.selectedFeature = newFeature;
  }
}
