import { Component, Input } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { CategoriesToggle } from 'src/app/models/categoriesToggle.model';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-personal-offer-training-type',
  templateUrl: './personal-offer-training-type.component.html',
})
export class PersonalOfferTrainingTypeComponent {
  @Input() structureName: string;
  @Input() personalOfferForm: UntypedFormGroup;
  @Input() trainingCategories: CategoriesToggle[];

  public setTrainingsFromCategories(categories: Category[]) {
    for (const categorie of categories) {
      const moduleIds: string[] = categorie.modules.map((module) => module.id);
      if (this.personalOfferForm.get('categories').get(categorie.id)) {
        this.personalOfferForm.get('categories').get(categorie.id).patchValue(moduleIds);
      }
    }
  }
}
