import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-digital-helping-accompaniment',
  templateUrl: './structure-digital-helping-accompaniment.component.html',
})
export class StructureDigitalHelpingAccompanimentComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() onlineProcedures: Category;
  @Input() isEditMode: boolean;
  @Output() updateChoice = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  public buttonTypeEnum = ButtonType;

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public updateChoiceAccompaniment(choice: string) {
    this.updateChoice.emit({ formControlName: 'categories.onlineProcedures', choice });
  }

  public isInArray(choice: string) {
    if (
      this.structureForm.get('categories').get('onlineProcedures') &&
      this.structureForm.get('categories').get('onlineProcedures').value.includes(choice)
    )
      return true;
    return false;
  }
  public goBack(): void {
    history.back();
  }
}
