import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { CategoryEnum } from '../../../../shared/enum/category.enum';
import { Category } from '../../../../structure-list/models/category.model';
import { Module } from '../../../../structure-list/models/module.model';
import { SearchService } from '../../../../structure-list/services/search.service';
import { SelectComponent } from '../../global-components/select/select.component';
import { FiltersForm } from '../../interfaces/filtersForm.interface';

@Component({
  selector: 'app-base-skills-choice',
  templateUrl: './base-skills-choice.component.html',
})
export class BaseSkillsChoiceComponent extends SelectComponent implements OnInit {
  @Input() form: FormGroup<FiltersForm>;
  public baseSkills: Module[] = [];

  constructor(private searchService: SearchService) {
    super();
  }

  ngOnInit(): void {
    this.selectedModules = this.form.get('filters').value;
    this.searchService.getCategories().subscribe((categories: Category[]) => {
      this.baseSkills = categories.find((el) => el.id === CategoryEnum.baseSkills).modules;
    });
    this.checkValidation.emit();
  }
}
