import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { CategoryEnum } from '../../../../shared/enum/category.enum';
import { Category } from '../../../../structure-list/models/category.model';
import { Module } from '../../../../structure-list/models/module.model';
import { SearchService } from '../../../../structure-list/services/search.service';
import { SelectComponent } from '../../global-components/select/select.component';
import { FiltersForm } from '../../interfaces/filtersForm.interface';

@Component({
  selector: 'app-equipment-buy-type',
  templateUrl: './equipment-buy-type.component.html',
})
export class EquipmentBuyTypeComponent extends SelectComponent implements OnInit {
  @Input() form: FormGroup<FiltersForm>;
  public equipmentType: Module[] = [];
  constructor(private searchService: SearchService) {
    super();
  }

  ngOnInit(): void {
    this.selectedModules = this.form.get('filters').value;
    this.searchService.getCategories().subscribe((categories: Category[]) => {
      this.equipmentType = categories.find((el) => el.id === CategoryEnum.solidarityMaterial).modules;
    });
    this.checkValidation.emit();
  }
}
