import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-meeting-digital-pass',
  templateUrl: './meeting-digital-pass.component.html',
})
export class MeetingDigitalPassComponent implements OnInit {
  @Input() form: UntypedFormGroup;
  @Output() checkValidation = new EventEmitter<any>();

  ngOnInit(): void {
    this.checkValidation.emit();
  }
  public handleChange(val: boolean) {
    this.form.get('digitalPass').patchValue(val);
    this.checkValidation.emit();
  }

  public isSelected(): boolean {
    return this.form.get('digitalPass').value;
  }
}
