import { animate, AUTO_STYLE, state, style, transition, trigger } from '@angular/animations';
import { Component, Input } from '@angular/core';
import { ButtonType } from '../../../shared/components/button/buttonType.enum';
import { PersonalOffer } from './../../../models/personalOffer.model';

@Component({
  selector: 'app-personal-offer',
  templateUrl: './personal-offer.component.html',
  styleUrls: ['./personal-offer.component.scss'],
  animations: [
    trigger('collapse', [
      state('true', style({ height: AUTO_STYLE, visibility: AUTO_STYLE, margin: '8px 0' })),
      state('false', style({ height: '0px', visibility: 'hidden', margin: '0' })),
      transition('true => false', animate('300ms ease-out')),
      transition('false => true', animate('300ms ease-out')),
    ]),
  ],
})
export class PersonalOfferComponent {
  @Input() public personalOffer: PersonalOffer;
  @Input() public isPublic: boolean;
  public buttonTypeEnum = ButtonType;
  public showOnlineProcedures: boolean = false;
  public showBaseSkills: boolean = false;
  public showAdvancedSkills: boolean = false;

  public toggleOnlineProcedures(): void {
    this.showOnlineProcedures = !this.showOnlineProcedures;
  }

  public toggleBaseSkills(): void {
    this.showBaseSkills = !this.showBaseSkills;
  }

  public toggleAdvancedSkills(): void {
    this.showAdvancedSkills = !this.showAdvancedSkills;
  }
}
