import { Component, Input } from '@angular/core';
import { User } from '../../../models/user.model';

@Component({
  selector: 'app-profile-structure-member',
  templateUrl: './profile-structure-member.component.html',
  styleUrls: ['./profile-structure-member.component.scss'],
})
export class ProfileStructureMemberComponent {
  @Input() public member: User;

  getJobEmployer(): string {
    if (this.member.job?.name && this.member.employer?.name) {
      return this.member.job.name + ', ' + this.member.employer.name;
    }
    if (this.member.job?.name && !this.member.employer?.name) {
      return this.member.job.name;
    }
    if (!this.member.job?.name && this.member.employer?.name) {
      return this.member.employer.name;
    }
    return '';
  }
}
