import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { StructureType } from '../models/structureType.model';

@Injectable({
  providedIn: 'root',
})
export class StructureTypeService {
  constructor(private http: HttpClient) {}

  /**
   * Retrieve all structure types
   */
  public getStructureTypes(): Observable<StructureType[]> {
    return this.http.get<StructureType[]>('/api/structure-type');
  }

  /**
   * Retrieve a structure type by its id
   */
  public getStructureTypeById(id: string): Observable<StructureType> {
    return this.http.get<StructureType>(`/api/structure-type/${id}`);
  }
}
