import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonType } from '../button/buttonType.enum';

@Component({
  selector: 'app-modal-confirmation',
  templateUrl: './modal-confirmation.component.html',
  styleUrls: ['./modal-confirmation.component.scss'],
})
export class ModalConfirmationComponent {
  @Input() public openned: boolean;
  @Input() public content: string;
  @Input() public customConfirmationText?: string;
  @Input() public singleButton?: boolean;
  @Output() closed = new EventEmitter<boolean>();
  public buttonTypeEnum = ButtonType;

  public closeModal(value: boolean): void {
    this.closed.emit(value);
  }
}
